"use strict";
var core_1 = require('@angular/core');
var NiceTopBarComponent = (function () {
    function NiceTopBarComponent() {
        this.title = '';
    }
    NiceTopBarComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'nice-top-bar',
                    template: "\n    <div class=\"top-bar\">\n      <div class=\"top-bar-left\">\n        <div class=\"top-bar-logo\"></div>\n        <div class=\"top-bar-title\">{{title.toUpperCase()}}</div>\n      </div>\n      <div class=\"top-bar-right\">\n        <div class=\"top-bar-users\">Oren Levi</div>\n        <div class=\"top-bar-alert\"></div>\n        <div class=\"top-bat-nice-logo\"></div>\n        <div class=\"top-bar-apps\"></div>\n      </div>\n    </div>\n  ",
                    styles: ["\n    .top-bar {\n      width: 100%;\n      height: 50px;\n      background-color: black;\n      display: flex;\n      align-content: center;\n      align-items: center;\n      color: white;\n    }\n    \n    .top-bar-left{\n      display: flex;\n      height: 100%;\n      align-items: flex-start;\n      width: 50%;\n    }\n\n    .top-bar-right{\n      display: flex;\n      height: 100%;\n      align-self: flex-end;\n      width: 50%;\n    }\n    \n    .top-bar-logo {\n      width: 50px;\n    }\n\n    .top-bar-title {\n      color: white;\n      font-size: 17pt;\n      margin-top: auto;\n      margin-bottom: auto;\n    }\n\n    .top-bar-users {\n      margin-top: auto;\n      margin-bottom: auto;\n    }\n\n    .top-bar-alert {\n\n    }\n\n    .top-bat-nice-logo {\n\n    }\n\n    .top-bar-apps {\n\n    }\n\n  "]
                },] },
    ];
    /** @nocollapse */
    NiceTopBarComponent.ctorParameters = function () { return []; };
    NiceTopBarComponent.propDecorators = {
        'title': [{ type: core_1.Input },],
    };
    return NiceTopBarComponent;
}());
exports.NiceTopBarComponent = NiceTopBarComponent;
//# sourceMappingURL=D:/projects/Nice/components/src/components/top-bar/top-bar.component.js.map